package com.cim.idm.mwmsextend.generic.util;

import com.cim.idm.framework.IDMFrameServiceProxy;
import org.springframework.stereotype.Component;

public class TransactionUtil {
	
	public void beginTransaction(){
		IDMFrameServiceProxy.getTxDataSourceManager().beginTransaction();
	}
	
	public void commitTransaction(){
		IDMFrameServiceProxy.getTxDataSourceManager().commitTransaction();
	}
	
	public void rollbackTransaction(){
		IDMFrameServiceProxy.getTxDataSourceManager().rollbackTransaction();
	}
}
